import request from "@/utils/request";

/** 后台保存短视频 */
export function shortVideoSave(data) {
  return request({
    url: "/admin/shortVideo/info/save",
    method: "post",
    data
  });
}

// 后台查询短视频详情
export function queryShortVideoDetail(data) {
  return request({
    url: "/admin/shortVideo/info/get",
    method: "post",
    data
  });
}

// 后台获取上传签名
export function uploadSign(data) {
  return request({
    url: "/admin/shortVideo/file/uploadSign",
    method: "get",
    data
  });
}

// 后台查询短视频列表
export function queryShortVideoList(data) {
  return request({
    url: "/admin/shortVideo/info/list",
    method: "post",
    data
  });
}

// 后台更新短视频
export function updateShortVideo(data) {
  return request({
    url: "/admin/shortVideo/info/update",
    method: "post",
    data
  });
}

// 后台更新短视频状态
export function updateShortVideoStatus(data) {
  return request({
    url: "/admin/shortVideo/info/updateStatus",
    method: "post",
    data
  });
}

// 中台查询评论
export function queryCommentList(data) {
  return request({
    url: "/admin/comment/queryCommentList",
    method: "post",
    data
  });
}

// 回复评论
export function replyComment(data) {
  return request({
    url: "/admin/comment/replyComment",
    method: "post",
    data
  });
}

// 公开评论
export function setCommentOpen(data) {
  return request({
    url: "/admin/comment/setCommentOpen",
    method: "post",
    data
  });
}

// 公开评论
export function deleteComment(params) {
  return request({
    url: "/admin/comment/deleteComment",
    method: "get",
    params
  });
}

// 中台保存评论
export function saveComment(data) {
  return request({
    url: "/admin/comment/saveComment",
    method: "post",
    data
  });
}

// 设置首页参数
export function setMainPageParam(data) {
  return request({
    url: '/admin/shortVideo/info/setMainPageParam',
    method: 'post',
    data
  })
}

// 后台统计短视频数据汇总
export function queryCollectData(data) {
  return request({
    url: '/admin/shortVideo/collect/get',
    method: 'post',
    data
  })
}

// 后台统计短视频数据明细
export function queryCollectDataList(data) {
  return request({
    url: '/admin/shortVideo/collect/list',
    method: 'post',
    data
  })
}
